#include "config.h"
#include <stdio.h>
#include "nanosat.h"

/*------------------------------------------------------------------------*/

#define SAT_COMPETITION_UNDECIDED 0
#define SAT_COMPETITION_SATISFIABLE 10
#define SAT_COMPETITION_UNSATISIFIABLE 20

/*------------------------------------------------------------------------*/

int
main (int argc, char **argv)
{
  int res;
  
  res = nanosat_main (argc, argv);

  if (res == NANOSAT_SATISFIABLE)
    res = SAT_COMPETITION_SATISFIABLE;
  else if (res == NANOSAT_UNSATISFIABLE)
    res = SAT_COMPETITION_UNSATISIFIABLE;
  else
    res = SAT_COMPETITION_UNDECIDED;

  return res;
}
